#!/bin/bash
set -e
echo $PWD
dsn="postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@$POSTGRES_HOST/$POSTGRES_DB"

psql -v ON_ERROR_STOP=1 "$dsn" <<-EOSQL
    CREATE USER ${POSTGRES_FRED_USER:-fred} WITH PASSWORD '${POSTGRES_FRED_PASSWORD:-password}';
    GRANT ALL PRIVILEGES ON DATABASE ${POSTGRES_FRED_DB:-fred} TO ${POSTGRES_FRED_USER:-fred};
EOSQL
