#!/bin/bash
set -e
echo $PWD
dsn="postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@$POSTGRES_HOST/$POSTGRES_DB"

psql -v ON_ERROR_STOP=1 "$dsn" <<-EOSQL
    CREATE DATABASE ${POSTGRES_FRED_DB:-fred};
EOSQL
