#!/bin/bash
set -e
echo $PWD
dsn="postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@$POSTGRES_HOST/${POSTGRES_FRED_DB:-fred}"

psql -v ON_ERROR_STOP=1 "$dsn" <<-EOSQL
    CREATE EXTENSION pgcrypto;
    CREATE EXTENSION pg_trgm;
    CREATE EXTENSION unaccent;
EOSQL
