#!/bin/bash
set -e
echo "$PWD"
dsn="postgresql://${POSTGRES_FRED_USER:-fred}:${POSTGRES_FRED_PASSWORD:-password}@$POSTGRES_HOST/${POSTGRES_FRED_DB:-fred}"

WITH_LOGGER=${WITH_LOGGER:-1}
if [[ "$WITH_LOGGER" -eq 1 ]]; then
    /bin/bash ./orderedsql.sh | psql -v ON_ERROR_STOP=1 "$dsn"
else
    /bin/bash ./orderedsql.sh --without-log | psql -v ON_ERROR_STOP=1 "$dsn"
fi
